%define pname     music
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.4.0b3
Release:        1
Summary:        This is an audio plugin for VDR.

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.vdr.glaserei-franz.de/vdrplugins.htm
Source0:        %{name}-0.4.0-b3.tgz
Patch0:		vdr-music-0.4.0-b1-gcc43.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}
Requires:	vdr-coverviewer vdr-span

%description
This is an audio plugin for VDR.

%prep
%setup -q -n %{pname}-0.4.0-b3
%patch0 -p1

sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
sed -i -e s/HAVE_MAGICK=1/#HAVE_MAGICK=0/g Makefile
sed -i -e s/#HAVE_ICONPATCH=1/#HAVE_ICONPATCH=1/g Makefile
sed -i -e s/#WITH_OSS_OUTPUT=1/WITH_OSS_OUTPUT=1/g Makefile
sed -i -e s#/vdr_daten/mp3#/srv/music#g music/musicsources.conf
#sed -i -e s#blackdown-jre-1.4.2.03#j2sdk/jre#g music/downloads/music_cover/getcover.pl

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/srv/music
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/music
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
cp -R music/* $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/music

# i18n
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,%{vdr_user},root,-)
%doc COPYING HISTORY README*
%dir /srv/music
%_sysconfdir/vdr/plugins/music
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%{plugindir}/locale

%changelog
* Sat Jun 21 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.0b3-1
- Version update
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.3.0rc2-1
- Version update
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.0-7
- rebuild against newest vdr, ImageMagick always disabled
* Sun Aug 26 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.0-6
- rebuild against newest vdr, temp disabled ImageMagick
* Sat Jun 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.0-5
- corrected description
* Sat Jun 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.0-4
- added span dependency
* Sat Jun 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.0-3
- corrected user and some pathes in scripts
* Fri Jun 15 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.0-2
- added OSS output
* Fri Jun 15 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.0-1
- Initial release